---
schema_version: "1"
id: 9cca2c92cbc4c329e72b7dbd3e20d395f905075829e9a7f17e29c3523c8b1edd
title: GET /interaction/v1/interactions/publishStatus/{statusId}
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/getPublishStatus.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_interaction/getPublishStatus.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 0cb1b5225f5dc9f2e70973dc98d643913e939975a16f0a596d4c269ab06afa0e
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# GET /interaction/v1/interactions/publishStatus/{statusId}

Checks the status of a publication.

## URL Parameters

| Name       | Type   | Description                                                                                                                                    |
| ---------- | ------ | ---------------------------------------------------------------------------------------------------------------------------------------------- |
| `statusId` | string | Required. The statusId provided by a successful POST request to [schedule](https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_interaction/postPublishInteractionById.md) for a specific version of a journey. |

## Usage

This request retrieves the publishing status for the specified statusId provided while making a `publishAsync` request.

```js
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
GET /interaction/v1/interactions/publishStatus/{statusId}
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
```

Journey Builder returns one of these statuses.

- PublishInProcess
- PublishCompleted
- Error

```js
HTTP/1.1 200
{
    "statusId": "bd93502a-773c-4588-81d9-d3c7ca0cc10a",
    "status": "PublishInProcess",
    "errors": []
}
```

If any errors are encountered during the publishing process, they're listed as elements in the `errors` array.
